//  Blur and UI
#version 460
 #extension GL_EXT_multiview : enable
#define VIEW gl_ViewIndex


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
struct Vk3DStereo
{
	vec4 stereo; 
	vec4 custom_params;
};
layout(set = 0, binding = 15, std140) uniform Vk3DParams
{
	Vk3DStereo vk3d_params[2];
};

layout(set = 1, binding = 10, std140) uniform type_BokehApplyVSConstants
{
    vec4 g_xScaleOffsets;
} BokehApplyVSConstants;

layout(location = 0) out vec4 out_var_TEXCOORD0;

void main()
{
    vec2 _40 = (vec2(float(uint(gl_VertexIndex) / 2u), float(uint(gl_VertexIndex) & 1u)) * vec2(4.0, -4.0)) + vec2(-1.0, 1.0);
    float _41 = _40.x;
    vec2 _48 = vec2((_41 * 0.5) + 0.5, (_40.y * (-0.5)) + 0.5);
    vec2 _60 = (((_48.xy - vec2(0.5)).xy * BokehApplyVSConstants.g_xScaleOffsets.xy).xy - BokehApplyVSConstants.g_xScaleOffsets.zw).xy + vec2(0.5);
    gl_Position = vec4(_41, _40.y, 0.0, 1.0);
    out_var_TEXCOORD0 = vec4(_60.x, _60.y, _48.x, _48.y);

   if (vk3d_params[VIEW].custom_params.y == 1.0)
    gl_Position.x = 0;
}




