// Screen Space Projection Plane -> 2x Depth fix
#version 460
 #extension GL_EXT_multiview : enable
#define VIEW gl_ViewIndex


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
struct Vk3DStereo
{
	vec4 stereo;
	vec4 custom_params;
};
layout(set = 0, binding = 15, std140) uniform Vk3DParams
{
	Vk3DStereo vk3d_params[2];
};

layout(set = 1, binding = 0, std140) uniform type_MLAAConstants
{
    vec4 g_xRTMetrics;
} MLAAConstants;

layout(location = 0) out vec2 out_var_TEXCOORD0;
layout(location = 1) out vec4 out_var_TEXCOORD1;

void main()
{
    vec2 _43 = (vec2(float(uint(gl_VertexIndex) / 2u), float(uint(gl_VertexIndex) & 1u)) * vec2(4.0, -4.0)) + vec2(-1.0, 1.0);
    float _44 = _43.x;
    vec2 _51 = vec2((_44 * 0.5) + 0.5, (_43.y * (-0.5)) + 0.5);
    gl_Position = vec4(_44, _43.y, 0.0, 1.0);

// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
//gl_Position.x += vk3d_params[VIEW].stereo.x * (gl_Position.w - vk3d_params[VIEW].stereo.y);
    out_var_TEXCOORD0 = _51;
    out_var_TEXCOORD1 = fma(MLAAConstants.g_xRTMetrics.xyxy, vec4(1.0, 0.0, 0.0, 1.0), _51.xyxy);
}


