// Hit Screen
#version 460
 #extension GL_EXT_multiview : enable
#define VIEW gl_ViewIndex


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
struct Vk3DStereo
{
	vec4 stereo;
	vec4 custom_params;
};
layout(set = 0, binding = 15, std140) uniform Vk3DParams
{
	Vk3DStereo vk3d_params[2];
};

layout(set = 1, binding = 10, std140) uniform type_RadialBlurVSConstants
{
    mat4 g_axVertexTransforms[4];
} RadialBlurVSConstants;

layout(location = 0) out vec4 out_var_TEXCOORD0;
layout(location = 1) out vec4 out_var_TEXCOORD1;

void main()
{
    vec4 _46 = vec4((vec2(float(uint(gl_VertexIndex) / 2u), float(uint(gl_VertexIndex) & 1u)) * vec2(4.0, -4.0)) + vec2(-1.0, 1.0), 0.0, 1.0);
    vec4 _49 = RadialBlurVSConstants.g_axVertexTransforms[0] * _46;
    vec4 _52 = RadialBlurVSConstants.g_axVertexTransforms[1] * _46;
    vec4 _56 = RadialBlurVSConstants.g_axVertexTransforms[2] * _46;
    vec4 _59 = RadialBlurVSConstants.g_axVertexTransforms[3] * _46;
    out_var_TEXCOORD0 = vec4(_49.x, _49.y, _52.x, _52.y);
    out_var_TEXCOORD1 = vec4(_56.x, _56.y, _59.x, _59.y);
    gl_Position = _46;

// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
//gl_Position.x += vk3d_params[VIEW].stereo.x * (gl_Position.w - vk3d_params[VIEW].stereo.y);
}


