
// Clouds
#version 460
 #extension GL_EXT_multiview : enable
#define VIEW gl_ViewIndex


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
struct Vk3DStereo
{
	vec4 stereo;
	vec4 custom_params;
};
layout(set = 0, binding = 15, std140) uniform Vk3DParams
{
	Vk3DStereo vk3d_params[2];
};

layout(set = 1, binding = 3, std140) uniform type_SkyboxConstants
{
    layout(row_major) mat4 g_xViewToWorldDir;
    layout(row_major) mat4 g_xStarMatrix;
    vec4 g_xA;
    vec4 g_xB;
    vec4 g_xC;
    vec4 g_xD;
    vec4 g_xE;
    vec4 g_xF;
    vec4 g_xSunDirection;
    vec4 g_xMoonDirection;
    vec4 g_xMoonUAxis;
    vec4 g_xMoonVAxis;
    vec4 g_xFogColour_Sky;
    vec3 g_xSunColour;
    float g_fPad;
    uint g_uNumSkyLayers;
    float g_fHorizonOffset;
    float g_fHorizonScale;
    float g_fVerticalTextureScale;
    vec4 g_axLayerOffset[3];
} SkyboxConstants;

layout(location = 0) out vec3 out_var_Texcoords;

void main()
{
    vec4 _44 = vec4((vec2(float(uint(gl_VertexIndex) / 2u), float(uint(gl_VertexIndex) & 1u)) * vec2(4.0, -4.0)) + vec2(-1.0, 1.0), 0.0, 1.0);
    gl_Position = _44;
    _44.x -= vk3d_params[VIEW].stereo.x;// * (gl_Position.w - vk3d_params[VIEW].stereo.y);

// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
//gl_Position.x += vk3d_params[VIEW].stereo.x;// * (gl_Position.w - vk3d_params[VIEW].stereo.y);
    out_var_Texcoords = -(_44 * SkyboxConstants.g_xViewToWorldDir).xyz;
}




