// Flares
#version 460
 #extension GL_EXT_multiview : enable
#define VIEW gl_ViewIndex


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
struct Vk3DStereo
{
	vec4 stereo;
	vec4 custom_params;
};
layout(set = 0, binding = 15, std140) uniform Vk3DParams
{
	Vk3DStereo vk3d_params[2];
};

layout(set = 1, binding = 1, std140) uniform type_AnamorphicConstants
{
    vec4 m_coronaScreenPosition;
    vec4 m_widthMinMax;
    vec4 m_heightMinMax;
    vec4 m_fSampleSizes;
    vec4 m_fColour;
    vec4 mfTextureSize;
    vec4 mfAlphaFallOff;
} AnamorphicConstants;

layout(location = 0) in vec4 in_var_POSITION0;
layout(location = 0) out vec2 out_var_TEXCOORD0;
layout(location = 1) out float out_var_TEXCOORD1;

vec2 _38;

void main()
{
    vec2 _43 = abs(in_var_POSITION0.xy);
    float _48 = 1.0 - ((_43.x + _43.y) * 0.5);
    float _58 = mix(AnamorphicConstants.m_widthMinMax.x, AnamorphicConstants.m_widthMinMax.y, _48);
    float _63 = mix(AnamorphicConstants.m_heightMinMax.x, AnamorphicConstants.m_heightMinMax.y, _48);
    uint _64 = uint(gl_VertexIndex) % 6u;
    vec4 _117;
    vec2 _118;
        
    if ((_64 == 0u) || (_64 == 3u))
    {
        vec4 _73 = in_var_POSITION0;
        _73.x = in_var_POSITION0.x - _58;
        vec4 _76 = _73;
        _76.y = in_var_POSITION0.y - _63;
        vec2 _77 = _38;
        _77.x = 0.0;
        vec2 _78 = _77;
        _78.y = 1.0;
        _117 = _76;
        _118 = _78;
    }
    else
    {
        vec4 _115;
        vec2 _116;
        if (_64 == 1u)
        {
            vec4 _85 = in_var_POSITION0;
            _85.x = in_var_POSITION0.x - _58;
            vec4 _88 = _85;
            _88.y = in_var_POSITION0.y + _63;
            vec2 _89 = _38;
            _89.x = 0.0;
            vec2 _90 = _89;
            _90.y = 0.0;
            _115 = _88;
            _116 = _90;
        }
        else
        {
            vec4 _113;
            vec2 _114;
            if ((_64 == 2u) || (_64 == 4u))
            {
                vec4 _99 = in_var_POSITION0;
                _99.x = in_var_POSITION0.x + _58;
                vec4 _102 = _99;
                _102.y = in_var_POSITION0.y + _63;
                vec2 _103 = _38;
                _103.x = 1.0;
                vec2 _104 = _103;
                _104.y = 0.0;
                _113 = _102;
                _114 = _104;
            }
            else
            {
                vec4 _107 = in_var_POSITION0;
                _107.x = in_var_POSITION0.x + _58;
                vec4 _110 = _107;
                _110.y = in_var_POSITION0.y - _63;
                vec2 _111 = _38;
                _111.x = 1.0;
                vec2 _112 = _111;
                _112.y = 1.0;
                _113 = _110;

                _114 = _112;
            }
            _115 = _113;
            _116 = _114;
        }
        _117 = _115;
        _118 = _116;
    }
    gl_Position = _117;

// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
gl_Position.x += vk3d_params[VIEW].stereo.x;

    out_var_TEXCOORD0 = _118;
    //out_var_TEXCOORD0.x += vk3d_params[VIEW].stereo.x;
    out_var_TEXCOORD1 = mix(AnamorphicConstants.mfAlphaFallOff.x, AnamorphicConstants.mfAlphaFallOff.y, _48);
    //out_var_TEXCOORD1.x += vk3d_params[VIEW].stereo.x;
}


